'use strict';

var zod = require('zod');
var primitive = require('@terminal-nerds/snippets-type/primitive');
var environment = require('@terminal-nerds/snippets-runtime/environment');

var N=zod.z.number().int(),p=zod.z.number().int().negative(),f=zod.z.number().int().positive();function c(e){N.parse(e);}function j(e){p.parse(e);}function x(e){f.parse(e);}function L(e){return N.safeParse(e).success}function q(e){return p.safeParse(e).success}function J(e){return f.safeParse(e).success}function b(e){return x(e),e===1||e===2?1:b(e-1)+b(e-2)}function o(e){return primitive.validatePrimitive(e,"number")}function te(e){return primitive.isPrimitive(e,"number")}function ae(e){o(e);let t=new Set;for(;e!==1&&!t.has(e);)t.add(e),e=[...e.toString()].reduce((n,s)=>n+Number(s)**2,0);return e===1}async function fe(e={}){let{max:t=Number.MAX_SAFE_INTEGER,min:n=Number.MIN_SAFE_INTEGER}=e,s=await v();return Math.floor(s*(t-n+1)+n)}async function ce(e={}){let{max:t=Number.MAX_SAFE_INTEGER,min:n=Number.MIN_SAFE_INTEGER}=e;return await v()*(t-n)+n}async function v(){let e;if(environment.IN_NODE){let{getRandomValues:t}=await import('crypto');e=t(new Uint32Array(1)).at(0);}else e=globalThis.crypto.getRandomValues(new Uint32Array(1)).at(0);return e/(4294967295+1)}function le(e,t={}){o(e);let{decimals:n=2}=t;return +(Math.round(+(e+"e"+n))+"e-"+n)}function Ie(e,t={}){o(e);let{decimals:n=2}=t;return +(Math.floor(Number.parseFloat(e+"e"+n))+"e-"+n)}var l=zod.z.number().finite();function _e(e){l.parse(e);}function ye(e){return l.safeParse(e).success}var I=zod.z.number().refine(e=>!zod.z.number().int().safeParse(e).success&&zod.z.number().finite().safeParse(e).success,"should not be an integer");function Ae(e){I.parse(e);}function Re(e){return I.safeParse(e).success}var g=zod.z.literal(Number.POSITIVE_INFINITY),d=zod.z.literal(Number.NEGATIVE_INFINITY),_=g.or(d);function He(e){_.parse(e);}function Ce(e){return _.safeParse(e).success}function Ze(e){return g.safeParse(e).success}function we(e){return d.safeParse(e).success}var y=zod.z.literal(0),M=zod.z.number().negative().or(zod.z.number().positive());function B(e){y.parse(e);}function S(e){M.parse(e);}function ze(e){return y.safeParse(e).success}function h(e){return B(e),Object.is(-0,e)}function Be(e){return !h(e)}function he(e){return M.safeParse(e).success}function Y(e){return c(e),e%2===0}function qe(e){return !Y(e)}function Je(e,t){return o(e),S(t),zod.z.number().multipleOf(t).safeParse(e).success}var P=zod.z.nan();function $e(e){P.parse(e);}function er(e){return P.safeParse(e).success}var R=zod.z.number().negative(),F=zod.z.number().nonpositive();function or(e){R.parse(e);}function sr(e){return R.safeParse(e).success}function ir(e){F.parse(e);}function ur(e){return F.safeParse(e).success}var O=zod.z.number().positive(),H=zod.z.number().nonnegative();function pr(e){O.parse(e);}function fr(e){return O.safeParse(e).success}function cr(e){H.parse(e);}function xr(e){return H.safeParse(e).success}var C=zod.z.number().safe(),Z=zod.z.literal(Number.MAX_SAFE_INTEGER),w=zod.z.literal(Number.MIN_SAFE_INTEGER);function Ir(e){C.parse(e);}function Er(e){return C.safeParse(e).success}function gr(e){Z.parse(e);}function dr(e){return Z.safeParse(e).success}function _r(e){w.parse(e);}function yr(e){return w.safeParse(e).success}

Object.defineProperty(exports, 'NUMBER_SCHEMA', {
	enumerable: true,
	get: function () { return primitive.NUMBER_SCHEMA; }
});
exports.FINITE_NUMBER_SCHEMA = l;
exports.INFINITY_SCHEMA = _;
exports.INTEGER_SCHEMA = N;
exports.MAX_SAFE_NUMBER_SCHEMA = Z;
exports.MIN_SAFE_NUMBER_SCHEMA = w;
exports.NAN_SCHEMA = P;
exports.NEGATIVE_INFINITY_SCHEMA = g;
exports.NEGATIVE_INTEGER_SCHEMA = p;
exports.NEGATIVE_NUMBER_SCHEMA = R;
exports.NON_NEGATIVE_NUMBER_SCHEMA = H;
exports.NON_POSITIVE_NUMBER_SCHEMA = F;
exports.NON_ZERO_SCHEMA = M;
exports.POSITIVE_INFINITY_SCHEMA = d;
exports.POSITIVE_INTEGER_SCHEMA = f;
exports.POSITIVE_NUMBER_SCHEMA = O;
exports.SAFE_NUMBER_SCHEMA = C;
exports.ZERO_SCHEMA = y;
exports.fibonacci = b;
exports.getRandomIntNumber = fe;
exports.getRandomNumber = ce;
exports.isEven = Y;
exports.isFiniteNumber = ye;
exports.isFloatNumber = Re;
exports.isHappyNumber = ae;
exports.isInfinity = Ce;
exports.isInteger = L;
exports.isItNaN = er;
exports.isMaxSafeNumber = dr;
exports.isMinSafeNumber = yr;
exports.isMultipleOf = Je;
exports.isNegativeInfinity = Ze;
exports.isNegativeInteger = q;
exports.isNegativeNumber = sr;
exports.isNegativeZero = h;
exports.isNonNegativeNumber = xr;
exports.isNonPositiveNumber = ur;
exports.isNonZero = he;
exports.isNumber = te;
exports.isOdd = qe;
exports.isPositiveInfinity = we;
exports.isPositiveInteger = J;
exports.isPositiveNumber = fr;
exports.isPositiveZero = Be;
exports.isSafeNumber = Er;
exports.isZero = ze;
exports.roundDownNumber = Ie;
exports.roundUpNumber = le;
exports.validateFiniteNumber = _e;
exports.validateFloatNumber = Ae;
exports.validateInfinity = He;
exports.validateInteger = c;
exports.validateMaxSafeNumber = gr;
exports.validateMinSafeNumber = _r;
exports.validateNaN = $e;
exports.validateNegativeInteger = j;
exports.validateNegativeNumber = or;
exports.validateNonNegativeNumber = cr;
exports.validateNonPositiveNumber = ir;
exports.validateNonZero = S;
exports.validateNumber = o;
exports.validatePositiveInteger = x;
exports.validatePositiveNumber = pr;
exports.validateSafeNumber = Ir;
exports.validateZero = B;
//# sourceMappingURL=out.js.map
//# sourceMappingURL=main.cjs.map