interface RandomNumberOptions {
    /** @defaultValue {@link MaxSafeInteger} */
    max?: number;
    /** @defaultValue {@link MinSafeInteger} */
    min?: number;
}
/** Get a random **integer** number from the specified range. */
declare function getRandomIntNumber(options?: RandomNumberOptions): Promise<number>;
/** Get a random number **_(with decimals!)_** from the specified range. */
declare function getRandomNumber(options?: RandomNumberOptions): Promise<number>;

export { RandomNumberOptions, getRandomIntNumber, getRandomNumber };
