import { NegativeInfinity, PositiveInfinity } from 'type-fest/source/numeric';
export { NegativeInfinity, PositiveInfinity } from 'type-fest/source/numeric';
import { z } from 'zod';

type Infinity = NegativeInfinity | PositiveInfinity;
declare const NEGATIVE_INFINITY_SCHEMA: z.ZodLiteral<number>;
declare const POSITIVE_INFINITY_SCHEMA: z.ZodLiteral<number>;
declare const INFINITY_SCHEMA: z.ZodUnion<[z.ZodLiteral<number>, z.ZodLiteral<number>]>;
declare function validateInfinity(value: unknown): asserts value is Infinity;
declare function isInfinity(value: unknown): value is Infinity;
declare function isNegativeInfinity(value: unknown): value is NegativeInfinity;
declare function isPositiveInfinity(value: unknown): value is PositiveInfinity;

export { INFINITY_SCHEMA, Infinity, NEGATIVE_INFINITY_SCHEMA, POSITIVE_INFINITY_SCHEMA, isInfinity, isNegativeInfinity, isPositiveInfinity, validateInfinity };
