import { Integer, Negative, NonNegative } from 'type-fest/source/numeric';
export { Integer } from 'type-fest/source/numeric';
import { z } from 'zod';

declare const INTEGER_SCHEMA: z.ZodNumber;
declare const NEGATIVE_INTEGER_SCHEMA: z.ZodNumber;
declare const POSITIVE_INTEGER_SCHEMA: z.ZodNumber;
declare function validateInteger<N extends number>(value: N): asserts value is Integer<N>;
declare function validateNegativeInteger<N extends number>(value: N): asserts value is Negative<Integer<N>>;
declare function validatePositiveInteger<N extends number>(value: N): asserts value is NonNegative<Integer<N>>;
declare function isInteger<N extends number>(value: N): value is Integer<N>;
declare function isNegativeInteger<N extends number>(value: N): value is Negative<Integer<N>>;
declare function isPositiveInteger<N extends number>(value: N): value is NonNegative<Integer<N>>;

export { INTEGER_SCHEMA, NEGATIVE_INTEGER_SCHEMA, POSITIVE_INTEGER_SCHEMA, isInteger, isNegativeInteger, isPositiveInteger, validateInteger, validateNegativeInteger, validatePositiveInteger };
