import { Negative } from 'type-fest/source/numeric';
export { Negative } from 'type-fest/source/numeric';
import { z } from 'zod';

declare const NEGATIVE_NUMBER_SCHEMA: z.ZodNumber;
declare const NON_POSITIVE_NUMBER_SCHEMA: z.ZodNumber;
declare function validateNegativeNumber<N extends number>(value: N): asserts value is Negative<N>;
declare function isNegativeNumber<N extends number>(value: N): value is Negative<N>;
declare function validateNonPositiveNumber<N extends number>(value: N): asserts value is Negative<N>;
declare function isNonPositiveNumber<N extends number>(value: N): value is Negative<N>;

export { NEGATIVE_NUMBER_SCHEMA, NON_POSITIVE_NUMBER_SCHEMA, isNegativeNumber, isNonPositiveNumber, validateNegativeNumber, validateNonPositiveNumber };
