import { NonNegative } from 'type-fest/source/numeric';
export { NonNegative } from 'type-fest/source/numeric';
import { z } from 'zod';

declare const POSITIVE_NUMBER_SCHEMA: z.ZodNumber;
declare const NON_NEGATIVE_NUMBER_SCHEMA: z.ZodNumber;
declare function validatePositiveNumber<N extends number>(value: N): asserts value is NonNegative<N>;
declare function isPositiveNumber<N extends number>(value: N): value is NonNegative<N>;
declare function validateNonNegativeNumber<N extends number>(value: N): asserts value is NonNegative<N>;
declare function isNonNegativeNumber<N extends number>(value: N): value is NonNegative<N>;

export { NON_NEGATIVE_NUMBER_SCHEMA, POSITIVE_NUMBER_SCHEMA, isNonNegativeNumber, isPositiveNumber, validateNonNegativeNumber, validatePositiveNumber };
