import { z } from 'zod';

type MaxSafeInteger = 9_007_199_254_740_991;
type MinSafeInteger = -9_007_199_254_740_991;
declare const SAFE_NUMBER_SCHEMA: z.ZodNumber;
declare const MAX_SAFE_NUMBER_SCHEMA: z.ZodLiteral<9007199254740991>;
declare const MIN_SAFE_NUMBER_SCHEMA: z.ZodLiteral<-9007199254740991>;
declare function validateSafeNumber(value: number): asserts value is number;
declare function isSafeNumber(value: number): value is number;
declare function validateMaxSafeNumber(value: number): asserts value is MaxSafeInteger;
declare function isMaxSafeNumber(value: number): value is MaxSafeInteger;
declare function validateMinSafeNumber(value: number): asserts value is MinSafeInteger;
declare function isMinSafeNumber(value: number): value is MinSafeInteger;

export { MAX_SAFE_NUMBER_SCHEMA, MIN_SAFE_NUMBER_SCHEMA, MaxSafeInteger, MinSafeInteger, SAFE_NUMBER_SCHEMA, isMaxSafeNumber, isMinSafeNumber, isSafeNumber, validateMaxSafeNumber, validateMinSafeNumber, validateSafeNumber };
