import { z } from 'zod';

declare const ZERO_SCHEMA: z.ZodLiteral<0>;
declare const NON_ZERO_SCHEMA: z.ZodUnion<[z.ZodNumber, z.ZodNumber]>;
type Zero = NegativeZero | PositiveZero;
type PositiveZero = 0;
type NegativeZero = -0;
declare function validateZero(value: number): asserts value is Zero;
declare function validateNonZero(value: number): asserts value is number;
declare function isZero(value: number): value is Zero;
declare function isNegativeZero(value: number): value is NegativeZero;
declare function isPositiveZero(value: number): value is PositiveZero;
declare function isNonZero(value: number): value is number;

export { NON_ZERO_SCHEMA, NegativeZero, PositiveZero, ZERO_SCHEMA, Zero, isNegativeZero, isNonZero, isPositiveZero, isZero, validateNonZero, validateZero };
