export { FINITE_NUMBER_SCHEMA, isFiniteNumber, validateFiniteNumber } from './groups/finite/finite.js';
export { isFloatNumber, validateFloatNumber } from './groups/float/float.js';
export { INFINITY_SCHEMA, Infinity, NEGATIVE_INFINITY_SCHEMA, POSITIVE_INFINITY_SCHEMA, isInfinity, isNegativeInfinity, isPositiveInfinity, validateInfinity } from './groups/infinity/infinity.js';
export { INTEGER_SCHEMA, NEGATIVE_INTEGER_SCHEMA, POSITIVE_INTEGER_SCHEMA, isInteger, isNegativeInteger, isPositiveInteger, validateInteger, validateNegativeInteger, validatePositiveInteger } from './groups/integer/integer.js';
export { isEven, isMultipleOf, isOdd } from './groups/multiple-of/multiple-of.js';
export { NAN_SCHEMA, NaN, isItNaN, validateNaN } from './groups/nan/nan.js';
export { NEGATIVE_NUMBER_SCHEMA, NON_POSITIVE_NUMBER_SCHEMA, isNegativeNumber, isNonPositiveNumber, validateNegativeNumber, validateNonPositiveNumber } from './groups/negative/negative.js';
export { isNumber, validateNumber } from './groups/number/number.js';
export { NON_NEGATIVE_NUMBER_SCHEMA, POSITIVE_NUMBER_SCHEMA, isNonNegativeNumber, isPositiveNumber, validateNonNegativeNumber, validatePositiveNumber } from './groups/positive/positive.js';
export { MAX_SAFE_NUMBER_SCHEMA, MIN_SAFE_NUMBER_SCHEMA, MaxSafeInteger, MinSafeInteger, SAFE_NUMBER_SCHEMA, isMaxSafeNumber, isMinSafeNumber, isSafeNumber, validateMaxSafeNumber, validateMinSafeNumber, validateSafeNumber } from './groups/safe/safe.js';
export { NON_ZERO_SCHEMA, NegativeZero, PositiveZero, ZERO_SCHEMA, Zero, isNegativeZero, isNonZero, isPositiveZero, isZero, validateNonZero, validateZero } from './groups/zero/zero.js';
export { Finite, Float, Integer, Negative, NegativeInfinity, NonNegative, PositiveInfinity } from 'type-fest/source/numeric';
export { NUMBER_SCHEMA } from '@terminal-nerds/snippets-type/primitive';
import 'zod';
